aagc.vo

## Class DcrRegistraDistintaContabileRiepilogativaRequest

- java.lang.Object
- - aagc.vo.DcrRegistraDistintaContabileRiepilogativaRequest

-     public class DcrRegistraDistintaContabileRiepilogativaRequest
      extends java.lang.Object

  Classe Java per dcrRegistraDistintaContabileRiepilogativaRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="dcrRegistraDistintaContabileRiepilogativaRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="implordo">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,6}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="implordodematerializzato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,6}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impquotapartecipaz" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impscontossn" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impsconto156" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impscontopayback" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impsconto78" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="imppht" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="pezzipht" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impticket" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,5}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impaccontorichiesto" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,6}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impaccontoricevuto" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,6}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impnetto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]{1,6}(,[0-9]{2})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="rettifica" type="{http://www.nsisr.puglia.it/Schemas/}rettificaRegistraDistintaContabileRiepilogativaRequest" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="tipoDistStringa" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="numeroRicette" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="numRicetteDematerializzate" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `impaccontoricevuto`
    `protected java.lang.String` | `impaccontorichiesto`
    `protected java.lang.String` | `implordo`
    `protected java.lang.String` | `implordodematerializzato`
    `protected java.lang.String` | `impnetto`
    `protected java.lang.String` | `imppht`
    `protected java.lang.String` | `impquotapartecipaz`
    `protected java.lang.String` | `impsconto156`
    `protected java.lang.String` | `impsconto78`
    `protected java.lang.String` | `impscontopayback`
    `protected java.lang.String` | `impscontossn`
    `protected java.lang.String` | `impticket`
    `protected java.lang.String` | `numeroRicette`
    `protected java.lang.String` | `numRicetteDematerializzate`
    `protected java.lang.String` | `pezzipht`
    `protected java.util.List<RettificaRegistraDistintaContabileRiepilogativaRequest>` | `rettifica`
    `protected java.lang.String` | `tipoDistStringa`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DcrRegistraDistintaContabileRiepilogativaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImpaccontoricevuto()` Recupera il valore della proprietà impaccontoricevuto.
    `java.lang.String` | `getImpaccontorichiesto()` Recupera il valore della proprietà impaccontorichiesto.
    `java.lang.String` | `getImplordo()` Recupera il valore della proprietà implordo.
    `java.lang.String` | `getImplordodematerializzato()` Recupera il valore della proprietà implordodematerializzato.
    `java.lang.String` | `getImpnetto()` Recupera il valore della proprietà impnetto.
    `java.lang.String` | `getImppht()` Recupera il valore della proprietà imppht.
    `java.lang.String` | `getImpquotapartecipaz()` Recupera il valore della proprietà impquotapartecipaz.
    `java.lang.String` | `getImpsconto156()` Recupera il valore della proprietà impsconto156.
    `java.lang.String` | `getImpsconto78()` Recupera il valore della proprietà impsconto78.
    `java.lang.String` | `getImpscontopayback()` Recupera il valore della proprietà impscontopayback.
    `java.lang.String` | `getImpscontossn()` Recupera il valore della proprietà impscontossn.
    `java.lang.String` | `getImpticket()` Recupera il valore della proprietà impticket.
    `java.lang.String` | `getNumeroRicette()` Recupera il valore della proprietà numeroRicette.
    `java.lang.String` | `getNumRicetteDematerializzate()` Recupera il valore della proprietà numRicetteDematerializzate.
    `java.lang.String` | `getPezzipht()` Recupera il valore della proprietà pezzipht.
    `java.util.List<RettificaRegistraDistintaContabileRiepilogativaRequest>` | `getRettifica()` Gets the value of the rettifica property.
    `java.lang.String` | `getTipoDistStringa()` Recupera il valore della proprietà tipoDistStringa.
    `void` | `setImpaccontoricevuto(java.lang.String value)` Imposta il valore della proprietà impaccontoricevuto.
    `void` | `setImpaccontorichiesto(java.lang.String value)` Imposta il valore della proprietà impaccontorichiesto.
    `void` | `setImplordo(java.lang.String value)` Imposta il valore della proprietà implordo.
    `void` | `setImplordodematerializzato(java.lang.String value)` Imposta il valore della proprietà implordodematerializzato.
    `void` | `setImpnetto(java.lang.String value)` Imposta il valore della proprietà impnetto.
    `void` | `setImppht(java.lang.String value)` Imposta il valore della proprietà imppht.
    `void` | `setImpquotapartecipaz(java.lang.String value)` Imposta il valore della proprietà impquotapartecipaz.
    `void` | `setImpsconto156(java.lang.String value)` Imposta il valore della proprietà impsconto156.
    `void` | `setImpsconto78(java.lang.String value)` Imposta il valore della proprietà impsconto78.
    `void` | `setImpscontopayback(java.lang.String value)` Imposta il valore della proprietà impscontopayback.
    `void` | `setImpscontossn(java.lang.String value)` Imposta il valore della proprietà impscontossn.
    `void` | `setImpticket(java.lang.String value)` Imposta il valore della proprietà impticket.
    `void` | `setNumeroRicette(java.lang.String value)` Imposta il valore della proprietà numeroRicette.
    `void` | `setNumRicetteDematerializzate(java.lang.String value)` Imposta il valore della proprietà numRicetteDematerializzate.
    `void` | `setPezzipht(java.lang.String value)` Imposta il valore della proprietà pezzipht.
    `void` | `setTipoDistStringa(java.lang.String value)` Imposta il valore della proprietà tipoDistStringa.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### implordo

          protected java.lang.String implordo

    - #### implordodematerializzato

          protected java.lang.String implordodematerializzato

    - #### impquotapartecipaz

          protected java.lang.String impquotapartecipaz

    - #### impscontossn

          protected java.lang.String impscontossn

    - #### impsconto156

          protected java.lang.String impsconto156

    - #### impscontopayback

          protected java.lang.String impscontopayback

    - #### impsconto78

          protected java.lang.String impsconto78

    - #### imppht

          protected java.lang.String imppht

    - #### pezzipht

          protected java.lang.String pezzipht

    - #### impticket

          protected java.lang.String impticket

    - #### impaccontorichiesto

          protected java.lang.String impaccontorichiesto

    - #### impaccontoricevuto

          protected java.lang.String impaccontoricevuto

    - #### impnetto

          protected java.lang.String impnetto

    - #### rettifica

          protected java.util.List<RettificaRegistraDistintaContabileRiepilogativaRequest> rettifica

    - #### tipoDistStringa

          protected java.lang.String tipoDistStringa

    - #### numeroRicette

          protected java.lang.String numeroRicette

    - #### numRicetteDematerializzate

          protected java.lang.String numRicetteDematerializzate

  - ### Constructor Detail

    - #### DcrRegistraDistintaContabileRiepilogativaRequest

          public DcrRegistraDistintaContabileRiepilogativaRequest()

  - ### Method Detail

    - #### getImplordo

          public java.lang.String getImplordo()

      Recupera il valore della proprietà implordo.
      Returns:
        possible object is `String`

    - #### setImplordo

          public void setImplordo(java.lang.String value)

      Imposta il valore della proprietà implordo.
      Parameters:
        `value` - allowed object is `String`

    - #### getImplordodematerializzato

          public java.lang.String getImplordodematerializzato()

      Recupera il valore della proprietà implordodematerializzato.
      Returns:
        possible object is `String`

    - #### setImplordodematerializzato

          public void setImplordodematerializzato(java.lang.String value)

      Imposta il valore della proprietà implordodematerializzato.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpquotapartecipaz

          public java.lang.String getImpquotapartecipaz()

      Recupera il valore della proprietà impquotapartecipaz.
      Returns:
        possible object is `String`

    - #### setImpquotapartecipaz

          public void setImpquotapartecipaz(java.lang.String value)

      Imposta il valore della proprietà impquotapartecipaz.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpscontossn

          public java.lang.String getImpscontossn()

      Recupera il valore della proprietà impscontossn.
      Returns:
        possible object is `String`

    - #### setImpscontossn

          public void setImpscontossn(java.lang.String value)

      Imposta il valore della proprietà impscontossn.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpsconto156

          public java.lang.String getImpsconto156()

      Recupera il valore della proprietà impsconto156.
      Returns:
        possible object is `String`

    - #### setImpsconto156

          public void setImpsconto156(java.lang.String value)

      Imposta il valore della proprietà impsconto156.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpscontopayback

          public java.lang.String getImpscontopayback()

      Recupera il valore della proprietà impscontopayback.
      Returns:
        possible object is `String`

    - #### setImpscontopayback

          public void setImpscontopayback(java.lang.String value)

      Imposta il valore della proprietà impscontopayback.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpsconto78

          public java.lang.String getImpsconto78()

      Recupera il valore della proprietà impsconto78.
      Returns:
        possible object is `String`

    - #### setImpsconto78

          public void setImpsconto78(java.lang.String value)

      Imposta il valore della proprietà impsconto78.
      Parameters:
        `value` - allowed object is `String`

    - #### getImppht

          public java.lang.String getImppht()

      Recupera il valore della proprietà imppht.
      Returns:
        possible object is `String`

    - #### setImppht

          public void setImppht(java.lang.String value)

      Imposta il valore della proprietà imppht.
      Parameters:
        `value` - allowed object is `String`

    - #### getPezzipht

          public java.lang.String getPezzipht()

      Recupera il valore della proprietà pezzipht.
      Returns:
        possible object is `String`

    - #### setPezzipht

          public void setPezzipht(java.lang.String value)

      Imposta il valore della proprietà pezzipht.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpticket

          public java.lang.String getImpticket()

      Recupera il valore della proprietà impticket.
      Returns:
        possible object is `String`

    - #### setImpticket

          public void setImpticket(java.lang.String value)

      Imposta il valore della proprietà impticket.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpaccontorichiesto

          public java.lang.String getImpaccontorichiesto()

      Recupera il valore della proprietà impaccontorichiesto.
      Returns:
        possible object is `String`

    - #### setImpaccontorichiesto

          public void setImpaccontorichiesto(java.lang.String value)

      Imposta il valore della proprietà impaccontorichiesto.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpaccontoricevuto

          public java.lang.String getImpaccontoricevuto()

      Recupera il valore della proprietà impaccontoricevuto.
      Returns:
        possible object is `String`

    - #### setImpaccontoricevuto

          public void setImpaccontoricevuto(java.lang.String value)

      Imposta il valore della proprietà impaccontoricevuto.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpnetto

          public java.lang.String getImpnetto()

      Recupera il valore della proprietà impnetto.
      Returns:
        possible object is `String`

    - #### setImpnetto

          public void setImpnetto(java.lang.String value)

      Imposta il valore della proprietà impnetto.
      Parameters:
        `value` - allowed object is `String`

    - #### getRettifica

          public java.util.List<RettificaRegistraDistintaContabileRiepilogativaRequest> getRettifica()

      Gets the value of the rettifica property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rettifica property.

      For example, to add a new item, do as follows:

              getRettifica().add(newItem);

      Objects of the following type(s) are allowed in the list `RettificaRegistraDistintaContabileRiepilogativaRequest`

    - #### getTipoDistStringa

          public java.lang.String getTipoDistStringa()

      Recupera il valore della proprietà tipoDistStringa.
      Returns:
        possible object is `String`

    - #### setTipoDistStringa

          public void setTipoDistStringa(java.lang.String value)

      Imposta il valore della proprietà tipoDistStringa.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumeroRicette

          public java.lang.String getNumeroRicette()

      Recupera il valore della proprietà numeroRicette.
      Returns:
        possible object is `String`

    - #### setNumeroRicette

          public void setNumeroRicette(java.lang.String value)

      Imposta il valore della proprietà numeroRicette.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumRicetteDematerializzate

          public java.lang.String getNumRicetteDematerializzate()

      Recupera il valore della proprietà numRicetteDematerializzate.
      Returns:
        possible object is `String`

    - #### setNumRicetteDematerializzate

          public void setNumRicetteDematerializzate(java.lang.String value)

      Imposta il valore della proprietà numRicetteDematerializzate.
      Parameters:
        `value` - allowed object is `String`